#pragma once
#include "visual_data.h"
#include <stdint.h>

struct LevelBin {
	uint8_t format, chunk_size;
	uint16_t width, height;
	uint8_t data[];
} __attribute__((__packed__));

struct Level {
	int width, height, size;
	const struct LevelBin *bin;
	uint8_t *data;
	struct VisualData *visual_data;
};

void level_init(void);
void level_deinit(void);

void level_load(const struct LevelBin *);
void level_reload(void);
void level_regen_visual_data(void);

void level_draw(void);

int level_get(int x, int y);
int level_get_px(int x, int y);
