#include "input.h"
#include "level.h"
#include "player.h"
#include <gint/display.h>

static struct Player player;

static void init(void);
static void deinit(void);
static void draw(void);
static void update(void);

int
main(void)
{
	extern const struct LevelBin kble_test;

	init();
	level_load(&kble_test);

	draw();
	do {
		update();
		draw();
	} while (input_up(K_EXIT));

	deinit();
	return 0;
}

static void
init(void)
{
	input_init();
	level_init();
	player_init(&player);
}

static void
deinit(void)
{
	level_deinit();
}

static void
update(void)
{
	input_update();
	player_update(&player);
}

static void
draw(void)
{
	dclear(C_BLACK);
	level_draw();
	player_draw(&player);
	dupdate();
}
